---
updatedAt: 2025-06-12T23:59:16.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# List EMT Payments

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/emt-payments": {
      "get": {
        "summary": "List EMT Payments",
        "description": "",
        "operationId": "list-emt-payments",
        "parameters": [
          {
            "name": "id",
            "in": "query",
            "description": "Unique identifier of the EMT Payment",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fromId",
            "in": "query",
            "description": "Identifier of the source entity of the EMT Payment: Fiat Account ID or EMT Wallet ID",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "toId",
            "in": "query",
            "description": "Identifier of the destination entity of EMT Payment: Fiat Account ID or EMT Wallet ID",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "direction",
            "in": "query",
            "description": "Direction of the EMT Payment. Can be: FUND, REDEEM, PAYIN, PAYOUT, TRANSFER",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "token",
            "in": "query",
            "description": "ENEUR, ENGBP, ENUSD",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "paymentScheme",
            "in": "query",
            "description": "EMT_EAGLE_NET",
            "schema": {
              "type": "string",
              "default": "The payment scheme used for the EMT Payment."
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Status of the EMT Payment",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "status(not)",
            "in": "query",
            "description": "Excludes provided EMT Payment status",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "amount(gte)",
            "in": "query",
            "description": "Greater than or equal to the payment amount.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "amount(lte)",
            "in": "query",
            "description": "Less than or equal to the payment amount.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "createdAt(gte)",
            "in": "query",
            "description": "Greater than or equal to the created date. [ISO 8601 Date](https://en.wikipedia.org/wiki/ISO_8601) format. e.g. `2021-11-18`",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "createdAt(lte)",
            "in": "query",
            "description": "Less than or equal to the created date. [ISO 8601 Date](https://en.wikipedia.org/wiki/ISO_8601) format. e.g. `2021-11-18`",
            "schema": {
              "type": "string",
              "format": "date"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "    {\n        \"id\": \"ept_594olbe12mr08k2ddd\",\n        \"fromId\": \"fac_xpn6le15g3k0vssd\",\n        \"toId\": \"wlt_jl2vpn1mmm3das\",\n        \"reference\": \"funding\",\n        \"amount\": \"20.00\",\n        \"token\": \"ENGBP\",\n        \"paymentScheme\": \"EMT_EAGLE_NET\",\n        \"status\": \"COMPLETED\",\n        \"direction\": \"FUND\",\n        \"createdAt\": 1734614735587,\n        \"updatedAt\": 1734614930842,\n        \"metadata\": null\n    },"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Invalid direction": {
                    "value": "{\n    \"errorCode\": \"INVALID_REQUEST_QUERY_PARAMS\",\n    \"message\": \"Invalid query params.\",\n    \"warnings\": [\n        {\n            \"position\": \"direction\",\n            \"issue\": \"Provided value 'FUNDD' is not supported. Please use one of the following supported values [FUND,REDEEM,TRANSFER,PAYOUT,PAYIN].\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "INVALID_REQUEST_QUERY_PARAMS"
                    },
                    "message": {
                      "type": "string",
                      "example": "Invalid query params."
                    },
                    "warnings": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "position": {
                            "type": "string",
                            "example": "direction"
                          },
                          "issue": {
                            "type": "string",
                            "example": "Provided value 'FUNDD' is not supported. Please use one of the following supported values [FUND,REDEEM,TRANSFER,PAYOUT,PAYIN]."
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```